Package org.mozilla.javascript

## Class IRFactory

- java.lang.Object
- - org.mozilla.javascript.IRFactory

-     public final class IRFactory
      extends java.lang.Object

  This class rewrites the parse tree into an IR suitable for codegen.
  See Also:
    `Node`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IRFactory​(CompilerEnvirons env)` |
    `IRFactory​(CompilerEnvirons env, ErrorReporter errorReporter)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Node` | `transform​(AstNode node)` |
    `ScriptNode` | `transformTree​(AstRoot root)` | Transforms the tree into a lower-level IR suitable for codegen.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IRFactory

          public IRFactory​(CompilerEnvirons env)

    - #### IRFactory

          public IRFactory​(CompilerEnvirons env,
                           ErrorReporter errorReporter)

  - ### Method Detail

    - #### transformTree

          public ScriptNode transformTree​(AstRoot root)

      Transforms the tree into a lower-level IR suitable for codegen. Optionally generates the encoded source.

    - #### transform

          public Node transform​(AstNode node)